## OsmGpsMapImage OsmGpsMapImage — An image shown on the map |

## Stability Level

Stable, unless otherwise indicated

## Functions

void | osm_gps_map_image_draw ()
const OsmGpsMapPoint * | osm_gps_map_image_get_point ()
GType | osm_gps_map_image_get_type ()
OsmGpsMapImage * | osm_gps_map_image_new ()

## Properties

GdkPixbuf * | pixbuf | Read / Write / Construct
OsmGpsMapPoint * | point | Read / Write / Construct
gfloat | rotation | Read / Write / Construct
gfloat | x-align | Read / Write / Construct
gfloat | y-align | Read / Write / Construct
gint | z-order | Read / Write / Construct

## Types and Values

struct | OsmGpsMapImage
struct | OsmGpsMapImageClass

## Object Hierarchy

        GObject
        ╰── OsmGpsMapImage

## Includes

    #include <osm-gps-map.h>

## Description

OsmGpsMapImage represents an image (a GdkPixbuf) shown on the map (`osm_gps_map_image_add()`) at a specific location (a OsmGpsMapPoint).

## Functions

### osm_gps_map_image_draw ()

    void
    osm_gps_map_image_draw (OsmGpsMapImage *object,
                            cairo_t *cr,
                            GdkRectangle *rect);

### osm_gps_map_image_get_point ()

    const OsmGpsMapPoint *
    osm_gps_map_image_get_point (OsmGpsMapImage *object);

### osm_gps_map_image_get_type ()

    GType
    osm_gps_map_image_get_type (void);

### osm_gps_map_image_new ()

    OsmGpsMapImage *
    osm_gps_map_image_new (void);

## Types and Values

### struct OsmGpsMapImage

    struct OsmGpsMapImage;

### struct OsmGpsMapImageClass

    struct OsmGpsMapImageClass {
        GObjectClass parent_class;
    };

## Property Details

### The `“pixbuf”` property

      “pixbuf”                   GdkPixbuf *

the pixbuf for this image.

Flags: Read / Write / Construct

### The `“point”` property

      “point”                    OsmGpsMapPoint *

location point.

Flags: Read / Write / Construct

### The `“rotation”` property

      “rotation”                 gfloat

image rotation.

Flags: Read / Write / Construct

Allowed values: [-180,180]

Default value: 0

### The `“x-align”` property

      “x-align”                  gfloat

image x-alignment.

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0.5

### The `“y-align”` property

      “y-align”                  gfloat

image y-alignment.

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 0.5

### The `“z-order”` property

      “z-order”                  gint

image z-order.

Flags: Read / Write / Construct

Allowed values: [-100,100]

Default value: 0